Index: lexer.c
===================================================================
RCS file: /cvsroot/bogofilter/bogofilter/src/lexer.c,v
retrieving revision 1.101
diff -u -r1.101 lexer.c
--- lexer.c	9 Oct 2004 03:07:23 -0000	1.101
+++ lexer.c	12 Oct 2004 03:43:06 -0000
@@ -29,7 +29,8 @@
 
 /* Global Variables */
 
-int yylineno;
+extern int yylineno;
+
 bool msg_header = true;
 bool have_body  = false;
 lexer_t *lexer = NULL;
Index: lexer_v3.l
===================================================================
RCS file: /cvsroot/bogofilter/bogofilter/src/lexer_v3.l,v
retrieving revision 1.152
diff -u -r1.152 lexer_v3.l
--- lexer_v3.l	8 Oct 2004 21:22:25 -0000	1.152
+++ lexer_v3.l	12 Oct 2004 03:43:06 -0000
@@ -87,6 +87,18 @@
 
 static int lineno;
 
+#define	FLEX_VER(MAJ, MIN, SUB) ( MAJ * 1000 + MIN * 100 + SUB)
+
+#ifndef	YY_FLEX_SUBMINOR_VERSION
+#define	FLEX_VERSION_BF FLEX_VER(YY_FLEX_MAJOR_VERSION, YY_FLEX_MINOR_VERSION, 0)
+#else
+#define	FLEX_VERSION_BF FLEX_VER(YY_FLEX_MAJOR_VERSION, YY_FLEX_MINOR_VERSION, YY_FLEX_SUBMINOR_VERSION)
+#endif
+
+#if	FLEX_VERSION_BF != 2531
+int yylineno;
+#endif
+
 /* Function Prototypes */
 
 static word_t *yy_text(void);
@@ -409,7 +421,7 @@
 static void yy_unput(const byte *txt, uint len)
 {
     while (len-- > 0)
-	unput(txt[len]);
+	yyunput(txt[len], yytext);
 }
 
 char yy_get_state()
